Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jaxr.ebxmlrr
Class EbxmlrrService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.jaxr.ebxmlrr.EbxmlrrService

All Implemented Interfaces:
  EbxmlrrServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class EbxmlrrService
extends org.jboss.system.ServiceMBeanSupport
implements EbxmlrrServiceMBean

MBean for the Ebxmlrr open source project integrated as part of the JAXR requirements for J2EE 1.4 compliance

Version:
  $Revision: 1.2 $
Author:
  Anil Saldhana

Field Summary
`protected String` | `bindJaxr`
`protected boolean` | `createOnStart`
`protected DataSource` | `datasource`
`protected String` | `datasourceurl`
`protected boolean` | `dropOnStart`
`protected boolean` | `dropOnStop`
`protected boolean` | `loadNAICS`
`protected boolean` | `loadUNSPSC`
`protected String` | `registryOperator`
`protected boolean` | `shouldBindJaxr`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.jaxr.ebxmlrr.EbxmlrrServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`EbxmlrrService()`

Method Summary
`String` | `getBindJaxr()` gets the JAXR ConnectionFactory.
`protected Connection` | `getConnection()`
`String` | `getDataSource()`
`String` | `getRegistryOperator()`
`boolean` | `getShouldBindJaxr()` gets the JAXR ConnectionFactory.
`boolean` | `isCreateOnStart()`
`boolean` | `isDropOnStart()`
`boolean` | `isDropOnStop()`
`boolean` | `isLoadNAICS()`
`boolean` | `isLoadUNSPSC()`
`protected void` | `runCreate()`
`protected void` | `runDrop()`
`protected void` | `runScript(InputStream stream)`
`void` | `setBindJaxr(String str)` Sets the JAXR ConnectionFactory.
`void` | `setCreateOnStart(boolean createOnStart)` Sets the createOnStart.
`void` | `setDataSourceUrl(String ds)` Sets the Datasource Url.
`void` | `setDropOnStart(boolean dropOnStart)` Sets the dropOnStart.
`void` | `setDropOnStop(boolean dropOnStop)` Sets the dropOnStop.
`void` | `setLoadNAICS(boolean ln)` Sets the dropOnStart.
`void` | `setLoadUNSPSC(boolean ln)` Sets the dropOnStart.
`void` | `setRegistryOperator(String ro)` Sets the RegistryOperator.
`void` | `setShouldBindJaxr(boolean str)` Sets the JAXR ConnectionFactory.
`void` | `startService()` starts the ebxmlrr service
`void` | `stopService()` stop the service

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### dropOnStart

    protected boolean dropOnStart

### createOnStart

    protected boolean createOnStart

### dropOnStop

    protected boolean dropOnStop

### loadNAICS

    protected boolean loadNAICS

### loadUNSPSC

    protected boolean loadUNSPSC

### datasource

    protected DataSource datasource

### datasourceurl

    protected String datasourceurl

### registryOperator

    protected String registryOperator

### bindJaxr

    protected String bindJaxr

### shouldBindJaxr

    protected boolean shouldBindJaxr

Constructor Detail

### EbxmlrrService

    public EbxmlrrService()

Method Detail

### getConnection

    protected Connection getConnection()
                                throws SQLException,
                                       NamingException

  Throws:
    `SQLException`
    `NamingException`

### runDrop

    protected void runDrop()
                    throws SQLException,
                           IOException

  Throws:
    `SQLException`
    `IOException`

### runCreate

    protected void runCreate()
                      throws SQLException,
                             IOException

  Throws:
    `SQLException`
    `IOException`

### runScript

    protected void runScript(InputStream stream)
                      throws SQLException,
                             IOException

  Throws:
    `SQLException`
    `IOException`

### startService

    public void startService()
                      throws Exception

  starts the ebxmlrr service

  Throws:
    `Exception`

### stopService

    public void stopService()
                     throws Exception

  stop the service

  Throws:
    `Exception`

### isDropOnStart

    public boolean isDropOnStart()

  Specified by:
    `isDropOnStart` in interface `EbxmlrrServiceMBean`
  Returns:
    boolean

### setDropOnStart

    public void setDropOnStart(boolean dropOnStart)

  Sets the dropOnStart.

  Specified by:
    `setDropOnStart` in interface `EbxmlrrServiceMBean`
  Parameters:
    `dropOnStart` - The dropOnStart to set

### isDropOnStop

    public boolean isDropOnStop()

  Specified by:
    `isDropOnStop` in interface `EbxmlrrServiceMBean`
  Returns:
    boolean

### setDropOnStop

    public void setDropOnStop(boolean dropOnStop)

  Sets the dropOnStop.

  Specified by:
    `setDropOnStop` in interface `EbxmlrrServiceMBean`
  Parameters:
    `dropOnStop` - The dropOnStop to set

### isCreateOnStart

    public boolean isCreateOnStart()

  Specified by:
    `isCreateOnStart` in interface `EbxmlrrServiceMBean`
  Returns:
    boolean

### setCreateOnStart

    public void setCreateOnStart(boolean createOnStart)

  Sets the createOnStart.

  Specified by:
    `setCreateOnStart` in interface `EbxmlrrServiceMBean`
  Parameters:
    `createOnStart` - The createOnStart to set

### getDataSource

    public String getDataSource()

  Specified by:
    `getDataSource` in interface `EbxmlrrServiceMBean`
  Returns:
    String

### setDataSourceUrl

    public void setDataSourceUrl(String ds)

  Sets the Datasource Url.

  Specified by:
    `setDataSourceUrl` in interface `EbxmlrrServiceMBean`
  Parameters:
    `ds` - The datasourceurl to set

### getRegistryOperator

    public String getRegistryOperator()

  Specified by:
    `getRegistryOperator` in interface `EbxmlrrServiceMBean`
  Returns:
    String

### setRegistryOperator

    public void setRegistryOperator(String ro)

  Sets the RegistryOperator.

  Specified by:
    `setRegistryOperator` in interface `EbxmlrrServiceMBean`
  Parameters:
    `ro` - The datasourceurl to set

### isLoadNAICS

    public boolean isLoadNAICS()

  Specified by:
    `isLoadNAICS` in interface `EbxmlrrServiceMBean`
  Returns:
    boolean

### setLoadNAICS

    public void setLoadNAICS(boolean ln)

  Sets the dropOnStart.

  Specified by:
    `setLoadNAICS` in interface `EbxmlrrServiceMBean`
  Parameters:
    `ln` - The loadNAICS to set

### isLoadUNSPSC

    public boolean isLoadUNSPSC()

  Specified by:
    `isLoadUNSPSC` in interface `EbxmlrrServiceMBean`
  Returns:
    boolean

### setLoadUNSPSC

    public void setLoadUNSPSC(boolean ln)

  Sets the dropOnStart.

  Specified by:
    `setLoadUNSPSC` in interface `EbxmlrrServiceMBean`
  Parameters:
    `ln` - The loadUNSPSC to set

### setBindJaxr

    public void setBindJaxr(String str)

  Sets the JAXR ConnectionFactory.

  Specified by:
    `setBindJaxr` in interface `EbxmlrrServiceMBean`
  Parameters:
    `str` - The context to bind the Jaxr factory to set

### getShouldBindJaxr

    public boolean getShouldBindJaxr()

  gets the JAXR ConnectionFactory.

  Specified by:
    `getShouldBindJaxr` in interface `EbxmlrrServiceMBean`

### setShouldBindJaxr

    public void setShouldBindJaxr(boolean str)

  Sets the JAXR ConnectionFactory.

  Specified by:
    `setShouldBindJaxr` in interface `EbxmlrrServiceMBean`
  Parameters:
    `str` - Should a Jaxr Connection Factory bound

### getBindJaxr

    public String getBindJaxr()

  gets the JAXR ConnectionFactory.

  Specified by:
    `getBindJaxr` in interface `EbxmlrrServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.